Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 759130 - dev-util/ddd postinst refers to gnuplot USE flag, which doesn't exist
Summary: dev-util/ddd postinst refers to gnuplot USE flag, which doesn't exist
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maciej Mrozowski
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-08 22:00 UTC by Jack
Modified: 2021-01-24 01:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2020-12-08 22:00:05 UTC
pkg_postinst for dev-util/ddd (3.3.12-r4 is the only version in the tree) says to enable data vizualization add the "gnuplot" useflag to ddd and then install gnuplot.  The only IUSE in ddd is readline.  

Reproducible: Always




Bug 30114 apparently introduced an RDEPEND on gnuplot, which has apparently been removed.  I have no idea when the USE flag was added or dropped.  I haven't used DDD in a long time, so only noticed the message when doing a full re-emerge.  I don't know if the pkg_postinst message should be changed or dropped entirely.  I suppose it depends on whether ddd uses it or not, and whether such use depends on it's presence at compile time or only at runtime.
Comment 1 Ionen Wolkens 2020-12-08 22:26:40 UTC
Was removed in:
https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d83216d808dfbcd9bee45f61e520d84376461e4
The postinst message was edited but seems left the lines about setting the (now missing) USE.

Optional but could migrate to optfeature.eclass at same time.
Comment 2 Maciej Mrozowski gentoo-dev 2020-12-24 19:44:13 UTC
Hmm, thanks for the report, I'll take care of it after Christmas.
Comment 3 Larry the Git Cow gentoo-dev 2021-01-24 01:22:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=224cd0fd7001d3334856de37e729e16991376f92

commit 224cd0fd7001d3334856de37e729e16991376f92
Author:     Maciej Mrozowski <reavertm@gentoo.org>
AuthorDate: 2021-01-24 01:21:01 +0000
Commit:     Maciej Mrozowski <reavertm@gentoo.org>
CommitDate: 2021-01-24 01:22:13 +0000

    dev-util/ddd: remove misleading post-inst message, bug 759130
    
    Closes: https://bugs.gentoo.org/759130
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Maciej Mrozowski <reavertm@gentoo.org>

 dev-util/ddd/ddd-3.3.12-r4.ebuild | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)
Comment 4 Larry the Git Cow gentoo-dev 2021-01-24 01:31:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afa7efb81dfbf003d4c263e484980f6472a2ba59

commit afa7efb81dfbf003d4c263e484980f6472a2ba59
Author:     Maciej Mrozowski <reavertm@gentoo.org>
AuthorDate: 2021-01-24 01:30:47 +0000
Commit:     Maciej Mrozowski <reavertm@gentoo.org>
CommitDate: 2021-01-24 01:30:47 +0000

    dev-util/ddd: migrate to optfeature
    
    Bug: https://bugs.gentoo.org/759130
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Maciej Mrozowski <reavertm@gentoo.org>

 dev-util/ddd/ddd-3.3.12-r4.ebuild | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)